%define upstream_name    Erlang-Parser
%define upstream_version 0.6

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Erlang source code parser
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Erlang/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Moose)
BuildRequires: perl(Parse::Lex) >= 2.200.0
BuildRequires: perl(Parse::Yapp)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Simple)
BuildArch:  noarch

%description
the Erlang::Parser manpage is an Erlang source code parser. You can feed
'parse()' any fragment of code which would be acceptable at the top-level
of a '.erl' file, including a full file.

Methods
    * 'parse'

      Parses an top-level Erlang declarations from a string, list of lines
      of code, or filehandle. Returns a list of top-level nodes.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.600.0-5.mga10
+ Revision: 2203872
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.600.0-4.mga9
+ Revision: 1809247
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.600.0-3.mga8
+ Revision: 1504390
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.600.0-2.mga7
+ Revision: 1283628
- Mageia 7 Mass Rebuild

* Fri Jul 28 2017 sander85 <sander85> 0.600.0-1.mga7
+ Revision: 1132127
- update to 0.6

* Sun Jun 19 2016 pterjan <pterjan> 0.500.0-8.mga6
+ Revision: 1026930
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.500.0-7.mga6
+ Revision: 949482
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 0.500.0-6.mga5
+ Revision: 789754
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.500.0-5.mga5
+ Revision: 740807
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.500.0-4.mga5
+ Revision: 684644
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.500.0-3.mga4
+ Revision: 511405
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.500.0-2.mga3
+ Revision: 366883
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon May 28 2012 kharec <kharec> 0.500.0-1.mga3
+ Revision: 248643
- update to 0.5

* Mon Nov 07 2011 kharec <kharec> 0.400.0-1.mga2
+ Revision: 164997
- update to 0.4

* Sun Nov 06 2011 kharec <kharec> 0.200.0-1.mga2
+ Revision: 164355
- imported package perl-Erlang-Parser


* Sun Nov 06 2011 cpan2dist 0.2-1mga
- initial mageia release, generated with cpan2dist
